{
	"menuId": "#MenuID",
	"title": "{FileRepository}",
	"onClick": function () {
		var self = this;

		require([
			'jquery',
			'$dict!ep/dict',
			'$dict!de_epages/mediagallery/dictionary',

			'de_epages/mediagallery/ui/filemanager',
			'ep/ui/dialog',
			'$ready!'], function ($, epDict, mediagalleryDict) {

			var element = $(self),
				dialog,
				tFileRepository = mediagalleryDict.translate("FileRepository"),
				tClose = epDict.translate("Close");

			dialog = $('<div class="fileManagerDialog"></div>')
				.appendTo("body")
				.uiDialog({
					title: tFileRepository,
					width: 920,
					height: 563,
					draggable: false,
					modal: true,
					buttons: [{
						text: tClose,
						click: function () {
							$(this).uiDialog("close");
						}
         		}],
					close: function () {
						$(this).uiDialog("destroy");
						dialog.remove();
					}
				});
			dialog.append('<div class="fileManager"></div>');
			$(dialog.find("div.fileManager")).mediagalleryUiFilemanager({
				selectable: "",
				multiSelect: true
			});

		});
	}
}